> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve members metrics

> Retrieve members metrics. Data should be retrieved from clickhouse database using raw sql.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /customers/segments/{id}/members-metrics
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/segments/{id}/members-metrics:
    parameters:
      - name: id
        in: path
        description: segment id
        required: true
        schema:
          type: string
    get:
      tags:
        - Segments
      summary: Retrieve members metrics
      description: >-
        Retrieve members metrics. Data should be retrieved from clickhouse
        database using raw sql.
      operationId: get-segment-members-metrics
      parameters:
        - name: from_date
          in: query
          description: from date
          schema:
            type: string
        - name: resolution
          in: query
          description: enum field. any of (daily, weekly). default daily
          schema:
            type: string
        - name: to_date
          in: query
          description: to date
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      metrics_data:
                        type: object
                        properties:
                          opening:
                            type: array
                            items:
                              type: integer
                          total_in:
                            type: array
                            items:
                              type: integer
                          total_out:
                            type: array
                            items:
                              type: integer
                          balance:
                            type: array
                            items:
                              type: integer
                          from_date:
                            type: string
                            format: date
                          to_date:
                            type: string
                            format: date
                          resolution:
                            enum:
                              - daily
                              - weekly
                    type: object
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````